<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: googletest-color-test.GTestColorTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgoogletest-color-test_1_1GTestColorTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">googletest-color-test.GTestColorTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for googletest-color-test.GTestColorTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-color-test_1_1GTestColorTest__inherit__graph.svg" width="210" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for googletest-color-test.GTestColorTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-color-test_1_1GTestColorTest__coll__graph.svg" width="210" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae36014618c6afc19fa6d77babf8faa88"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-color-test_1_1GTestColorTest.html#ae36014618c6afc19fa6d77babf8faa88">testNoEnvVarNoFlag</a> (self)</td></tr>
<tr class="separator:ae36014618c6afc19fa6d77babf8faa88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade41e99b5486c9d947d9b817210174f6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-color-test_1_1GTestColorTest.html#ade41e99b5486c9d947d9b817210174f6">testFlagOnly</a> (self)</td></tr>
<tr class="separator:ade41e99b5486c9d947d9b817210174f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f0a2bab46c123e865a821307bd689de"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-color-test_1_1GTestColorTest.html#a1f0a2bab46c123e865a821307bd689de">testEnvVarOnly</a> (self)</td></tr>
<tr class="separator:a1f0a2bab46c123e865a821307bd689de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f6cbbaa18feb66b8b03e6cc1f493f49"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-color-test_1_1GTestColorTest.html#a8f6cbbaa18feb66b8b03e6cc1f493f49">testEnvVarAndFlag</a> (self)</td></tr>
<tr class="separator:a8f6cbbaa18feb66b8b03e6cc1f493f49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82dd36b6a0fa82d417b7ec5e660c6e41"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-color-test_1_1GTestColorTest.html#a82dd36b6a0fa82d417b7ec5e660c6e41">testAliasesOfYesAndNo</a> (self)</td></tr>
<tr class="separator:a82dd36b6a0fa82d417b7ec5e660c6e41"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a82dd36b6a0fa82d417b7ec5e660c6e41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82dd36b6a0fa82d417b7ec5e660c6e41">&#9670;&nbsp;</a></span>testAliasesOfYesAndNo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-color-test.GTestColorTest.testAliasesOfYesAndNo </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests using aliases in specifying --gtest_color.</pre> 
</div>
</div>
<a id="a8f6cbbaa18feb66b8b03e6cc1f493f49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f6cbbaa18feb66b8b03e6cc1f493f49">&#9670;&nbsp;</a></span>testEnvVarAndFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-color-test.GTestColorTest.testEnvVarAndFlag </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the case when there are both GTEST_COLOR and --gtest_color.</pre> 
</div>
</div>
<a id="a1f0a2bab46c123e865a821307bd689de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f0a2bab46c123e865a821307bd689de">&#9670;&nbsp;</a></span>testEnvVarOnly()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-color-test.GTestColorTest.testEnvVarOnly </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the case when there's GTEST_COLOR but not --gtest_color.</pre> 
</div>
</div>
<a id="ade41e99b5486c9d947d9b817210174f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade41e99b5486c9d947d9b817210174f6">&#9670;&nbsp;</a></span>testFlagOnly()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-color-test.GTestColorTest.testFlagOnly </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the case when there's --gtest_color but not GTEST_COLOR.</pre> 
</div>
</div>
<a id="ae36014618c6afc19fa6d77babf8faa88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae36014618c6afc19fa6d77babf8faa88">&#9670;&nbsp;</a></span>testNoEnvVarNoFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-color-test.GTestColorTest.testNoEnvVarNoFlag </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the case when there's neither GTEST_COLOR nor --gtest_color.</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>googletest-color-test.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>googletest-color-test</b></li><li class="navelem"><a class="el" href="classgoogletest-color-test_1_1GTestColorTest.html">GTestColorTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
